### Method

# Foundry ConfigManager dup_config

#### Declaration [src]

    FoundryConfig*
    foundry_config_manager_dup_config (
      FoundryConfigManager* self
    )

#### Description [src]

Gets the active configuration.

#### Return value

Type: `FoundryConfig`

A `FoundryConfig` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.